using System;

internal sealed class Delegate391 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate391 delegate391_1)
	{
		return delegate391_1(object_0);
	}

	public extern Delegate391(object object_0, IntPtr intptr_0);

	static Delegate391()
	{
		Class10.smethod_13(typeof(Delegate391).TypeHandle);
	}

	internal static Delegate391 delegate391_0;
}
